Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallPickupAlertStatus Class Reference

The Call Pickup Alert feature status. More...

`#import <CSCallPickupAlertStatus.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithFeatureType:status:pickupGroupName:callPickupAlertArgs:
| Constructs CSCallPickupAlertStatus object from the specified parameters. More...

## Properties
CSFeatureType | featureType
| The feature type associated with this status. More...
CSFeatureStatus | status
| The feature's status. More...
NSString * | pickupGroupName
| The Call Pickup group name. More...
CSCallPickupAlertParameters * | callPickupAlertArgs
| The call pickup alert status data. More...

## Detailed Description

The Call Pickup Alert feature status.

## Method Documentation

- (instancetype) initWithFeatureType: |  | (CSFeatureType) | featureType
status: |  | (CSFeatureStatus) | status
pickupGroupName: |  | (NSString *) | pickupGroupName
callPickupAlertArgs: |  | (CSCallPickupAlertParameters *) | callPickupAlertArgs

Constructs CSCallPickupAlertStatus object from the specified parameters.

Parameters

  featureType | The feature type associated with the group, directed or extended call pickup alerts.
  status | The status of the feature (on or off).
  pickupGroupName | The pickup group for which the alert is received.
  callPickupAlertArgs | The Enhance or Call Pickup alert details.

## Property Documentation

- (CSCallPickupAlertParameters*) callPickupAlertArgs
| read nonatomic assign

The call pickup alert status data.

- (CSFeatureType) featureType
| read nonatomic assign

The feature type associated with this status.

- (NSString*) pickupGroupName
| read nonatomic assign

The Call Pickup group name.

Populated with the name of the group.

- (CSFeatureStatus) status
| read nonatomic assign

The feature's status.

The documentation for this class was generated from the following file:

- CSCallPickupAlertStatus.h